Workvisual - Which version should I install to open a project

  • Hello.


    I have a KRC4 backup and I need to read the I/O mapping.


    I don't have physical access to the robot but from the files in the backup I know the following:


    am.ini

    [Version]

    Version=V8.3.20

    [TechPacks]

    TechPacks=BoardPackage|DiagnoseSafety|EthernetKRL|KS26_V8_3_20_Basic|LoadDataDetermination|ProConOS 4-1|Profinet KRC-Nexxt|SafeOperation|WorkVisual AddOnVKR|WristMamesOffset|

    BoardPackage=1.4.0

    DiagnoseSafety=2.1.0

    EthernetKRL=2.2.8

    KS26_V8_3_20_Basic=1.0.0

    LoadDataDetermination=6.2.8

    ProConOS 4-1=4.1.4

    Profinet KRC-Nexxt=3.3.1

    SafeOperation=3.2.4

    WorkVisual AddOnVKR=1.1.0

    WristMamesOffset=1.0.1


    Questions follow:


    The backup contains a lot of .WVS files. Opening \Registry\LMSoftware..amr I can read:

    "Current Project Name"="robot100"

    So I assume the right project to open is robot100.wvs


    Q#1: Is this the proper way to know which is the working project?


    Q#2: How do I know which WorkVisual version is the right one to install in Windows to open the project?


    Q#3: Can more than one version of WorkVisual be installed simultaneously in Windows 10 or should I i.e. uninstall version 3 - install version 4 ... and son on?


    Thank you!

  • AD
    • Helpful

    Looking at the contents of Your am.ini, looks like You have a VKRC backup. And VW demands very specific versions of WoV to be used on their projects. Consult the electrical planning responsible for this project about the right version to this project.


    About Your questions:


    Q#1: Yes, it is


    Q#2: On Your backup, go through C/KRC/Roboter/Config/User/Common and open KRC_IO.xml file. On the header of the file, You will see something like XML automatically generated by WokVisual <Version>. If You had WoV 4.0 or above installed on Your computer, on Windows Explorer You can also right-click on WoV project and select "Information" option. A window with some handy information will appear.


    Q#3: from WoV 4.0 and above, You can have one major version installed side by side with other major versions. So You can go to KUKA download site and install WoV 4.0.31, 5.0.10 and 6.0.6. Beside that, from version 5.0 You can also install "portable" versions os WoV, so You can have 5.0.10 installed on Your computer, and 5.0.5 and 5.0.7 installed as portable versions, but... You can only run an instance a time. So if You plan to open two or more instances of WoV, You will need to use a virtual machine or some other workaround.

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account
Sign up for a new account in our community. It's easy!
Register a new account
Sign in
Already have an account? Sign in here.
Sign in Now